-- NOTES:

-- wakeUp back in AB-08, collect custom collectible (void heart)]

function onBegin()
	if getFlag("VoidHeartCutsceneC_Seen") and not getFlag("VoidHeartCutsceneFinal_Seen") then
		disableMovement()
		disableRetry()
		--getLevel().InCutscene = false
		player.DummyAutoAnimate = false
		wait(0.25)
		player.Sprite:Play("wakeUp")
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/DreamGhostAppear",player.Position) -- Change this if needed
		wait(2.5)
		setFlag("VoidHeartCutsceneFinal_Seen",true)
		--getLevel().InCutscene = true
	end
end

function onEnd(room,wasSkipped)
	enableMovement()
	enableRetry()
	if (wasSkipped) then
		setFlag("VoidHeartCutsceneFinal_Seen",true)
	end
end